<template>
  <div>
    <div class="form-group">
      <label>Rooms</label>
      <app-room-select v-model="value.rooms" :options="roomOptions" />
    </div>
    <div class="form-group">
      <label>Dates</label>
      <app-date-select v-model="value.dates" :options="dateOptions" />
    </div>
    <div class="form-group">
      <label>Sessions</label>
      <template v-if="sessionOptions.length">
        <app-session-select
          v-model="value.sessions"
          :session-options="sessionOptions"
          :room-options="roomOptions"
          :participants="participants"
        />
      </template>
      <div v-else class="alert alert-warning">No sessions found, please adjust rooms and dates.</div>
    </div>
  </div>
</template>
<script>
import AppRoomSelect from "./components/room-select";
import AppDateSelect from "./components/date-select";
import AppSessionSelect from "./components/session-select";
export default {
  components: { AppRoomSelect, AppSessionSelect, AppDateSelect },
  props: {
    value: {
      type: Object,
      default: () => ({ rooms: [], dates: [], sessions: [] })
    },
    participants: { type: Number, default: 0 },
    roomOptions: { type: Array, default: () => [] },
    dateOptions: { type: Array, default: () => [] },
    sessionOptions: { type: Array, default: () => [] }
  }
};
</script>